Update a storage port
Updates a storage port to modify its configuration or operational state. Use this endpoint when you need to make changes to the settings of an existing storage port in your ONTAP system.
HTTP method and endpoint
PATCH /storage/ports/{node.uuid}/{name}
Introduced in
ONTAP 9.11
Related ONTAP commands
-
storage port modify -
storage port enable -
storage port disable
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
node.uuid |
string |
path |
True |
Node UUID |
name |
string |
path |
True |
Port name |
Request Body
| Name | Type | Description |
|---|---|---|
board_name |
string |
|
cable |
||
description |
string |
|
enabled |
boolean |
|
error |
||
firmware_version |
string |
|
force |
boolean |
|
in_use |
boolean |
Specifies whether any devices are connected through this port |
mac_address |
string |
|
mode |
string |
Operational mode of a non-dedicated Ethernet port |
name |
string |
|
node |
||
part_number |
string |
|
redundant |
boolean |
Specifies whether all devices connected through this port have a redundant path from another port |
serial_number |
string |
|
speed |
number |
Operational port speed in Gbps |
state |
string |
|
type |
string |
|
wwn |
string |
World Wide Name |
wwpn |
string |
World Wide Port Name |
Example request
{
"board_name": "string",
"cable": {
"identifier": "500a0980000b6c3f-50000d1703544b80",
"length": "2m",
"part_number": "112-00431+A0",
"serial_number": 616930439,
"transceiver": "mini_sas_hd",
"vendor": "Molex Inc."
},
"description": "SAS Host Adapter 2a (PMC-Sierra PM8072 rev. C)",
"error": {
"corrective_action": "string",
"message": "string"
},
"firmware_version": "03.08.09.00",
"mac_address": "string",
"mode": "storage",
"name": "2a",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"part_number": "111-03801",
"serial_number": "7A2463CC45B",
"speed": 6,
"state": "online",
"type": "sas",
"wwn": "50000d1703544b80",
"wwpn": "string"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
17891328 |
Port operation " |
17891329 |
Port " |
17891330 |
Port operation " |
17891331 |
Cannot complete operation on port " |
17891332 |
Port operation " |
17891333 |
Port operation " |
17891334 |
Port operation " |
17891338 |
Device operation " |
17891339 |
Device operation " |
17891344 |
Device operation " |
17891345 |
Device operation " |
17891346 |
Port " |
17891347 |
Port " |
17891350 |
Port " |
17891350 |
Port " |
17891352 |
Port operation " |
17891353 |
Unable to enable port " |
17891354 |
Unable to disable port " |
17891355 |
Port operation " |
17891356 |
Unable to |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
cable
| Name | Type | Description |
|---|---|---|
identifier |
string |
|
length |
string |
|
part_number |
string |
|
serial_number |
string |
|
transceiver |
string |
|
vendor |
string |
error
| Name | Type | Description |
|---|---|---|
corrective_action |
string |
Error corrective action |
message |
string |
Error message |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
storage_port
| Name | Type | Description |
|---|---|---|
board_name |
string |
|
cable |
||
description |
string |
|
enabled |
boolean |
|
error |
||
firmware_version |
string |
|
force |
boolean |
|
in_use |
boolean |
Specifies whether any devices are connected through this port |
mac_address |
string |
|
mode |
string |
Operational mode of a non-dedicated Ethernet port |
name |
string |
|
node |
||
part_number |
string |
|
redundant |
boolean |
Specifies whether all devices connected through this port have a redundant path from another port |
serial_number |
string |
|
speed |
number |
Operational port speed in Gbps |
state |
string |
|
type |
string |
|
wwn |
string |
World Wide Name |
wwpn |
string |
World Wide Port Name |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |